Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
ResourceTable Class Reference
Inheritance diagram for ResourceTable:

## Public Member Functions
| __init__ (self, ident=())
| __getitem__ (self, key)
| __iter__ (self)
| __len__ (self)
| __setitem__ (self, key, value)
| count_resources (self)
| get_nested_tables (self)
| items (self)
| pack_header (self, data, offs)
| unpack_from (self, mem, addr=0, offs=0)

## Public Attributes
int | flags = 0
int | timdat = 0
tuple | version = (0, 0)

## Protected Member Functions
| _unpack_data_entry (self, mem, addr, ident)

## Protected Attributes
int | _descs_size = 0
list | _id_leaves = []
| _ident = ident
list | _name_leaves = []
int | _strings_size = 0

## Static Protected Attributes
| _header = Struct('<IIHHHH')

## Detailed Description

     A table in the resource directory.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | ident = () )

## Member Function Documentation

## ◆ __getitem__()

__getitem__ | ( |  | self,
|  |  | key )

## ◆ __iter__()

__iter__ | ( |  | self | ) |

## ◆ __len__()

__len__ | ( |  | self | ) |

## ◆ __setitem__()

__setitem__ | ( |  | self,
|  |  | key,
|  |  | value )

     Adds the given item to the table.  Maintains sort order.

## ◆ _unpack_data_entry()

_unpack_data_entry | ( |  | self,
|  |  | mem,
|  |  | addr,
|  |  | ident )
| protected

## ◆ count_resources()

count_resources | ( |  | self | ) |

    Counts all of the resources.

## ◆ get_nested_tables()

get_nested_tables | ( |  | self | ) |

    Returns all tables in this table and subtables.

## ◆ items()

items | ( |  | self | ) |

## ◆ pack_header()

pack_header | ( |  | self,
|  |  | data,
|  |  | offs )

## ◆ unpack_from()

unpack_from | ( |  | self,
|  |  | mem,
|  |  | addr = 0,
|  |  | offs = 0 )

## Member Data Documentation

## ◆ _descs_size

int _descs_size = 0
| protected

## ◆ _header

_header = Struct('<IIHHHH')
| static protected

## ◆ _id_leaves

_id_leaves = []
| protected

## ◆ _ident

_ident = ident
| protected

## ◆ _name_leaves

_name_leaves = []
| protected

## ◆ _strings_size

int _strings_size = 0
| protected

## ◆ flags

flags = 0

## ◆ timdat

timdat = 0

## ◆ version

tuple version = (0, 0)